class EffectsModel {
  List<Effects>? effects;

  EffectsModel({this.effects});

  EffectsModel.fromJson(Map<String, dynamic> json) {
    if (json['effects'] != null) {
      effects = <Effects>[];
      json['effects'].forEach((v) {
        effects!.add(Effects.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (effects != null) {
      data['effects'] = effects!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Effects {
  String? name;
  String? gif;

  Effects({this.name, this.gif});

  Effects.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    gif = json['gif'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['name'] = name;
    data['gif'] = gif;
    return data;
  }
}
